<?xml version="1.0" encoding="UTF-8"?>
<BackSensorParameters>
    <SensorVersion>4</SensorVersion>
    <FrontInitRateMillis>100</FrontInitRateMillis>
    <FrontSensorRateMillis>300</FrontSensorRateMillis>
    <BackInitRateMillis>100</BackInitRateMillis>
    <BackSensorRateMillis>300</BackSensorRateMillis>
    <FusedSensorRateMillis>300</FusedSensorRateMillis>
    <LuxScale>1.0</LuxScale>
    <NormalizedTypeLuxIndex>10</NormalizedTypeLuxIndex>
    <NormalizedTypeLuxScale>1</NormalizedTypeLuxScale>
    <IsOutwardLightSensor>true</IsOutwardLightSensor>
    <IsInwardFoldScreen>true</IsInwardFoldScreen>
    <IsInwardFoldDynamicSensor>true</IsInwardFoldDynamicSensor>
    <IsFullScreenBackSensorEnable>true</IsFullScreenBackSensorEnable>
    <IsDynamicEnableBackSensor>true</IsDynamicEnableBackSensor>
    <DisableBackSensorStartLevel>46</DisableBackSensorStartLevel>
    <DisableBackSensorEndLevel>84</DisableBackSensorEndLevel>
    <FrontSensorMinNoiseLux>1</FrontSensorMinNoiseLux>
    <IsCameraAlsSupportMinNoise>true</IsCameraAlsSupportMinNoise>
</BackSensorParameters>
<ModuleSensorOptions>
    <HwLightSensorController>2</HwLightSensorController>
    <HwNormalizedAutomaticBrightnessController>2</HwNormalizedAutomaticBrightnessController>
    <HwNormalizedManualBrightnessController>2</HwNormalizedManualBrightnessController>
</ModuleSensorOptions>
<AlgorithmParameters>
    <FrontSensorStabilityThresholdList>-30,-5,5,30</FrontSensorStabilityThresholdList>
    <BackSensorStabilityThresholdList>-30,-5,5,30</BackSensorStabilityThresholdList>
    <StabilizedProbabilityLUT>0,20,90,20,0,20,50,90,50,20,90,90,95,90,90,20,50,90,50,20,0,20,90,20,0</StabilizedProbabilityLUT>
    <BackRoofThresh>10000</BackRoofThresh>
    <BackFloorThresh>5</BackFloorThresh>
    <DarkRoomThresh>5</DarkRoomThresh>
    <DarkRoomThresh1>15</DarkRoomThresh1>
    <DarkRoomThresh2>35</DarkRoomThresh2>
    <DarkRoomThresh3>75</DarkRoomThresh3>
    <DarkRoomDelta>5</DarkRoomDelta>
    <DarkRoomDelta1>10</DarkRoomDelta1>
    <DarkRoomDelta2>30</DarkRoomDelta2>
    <FlashlightDetectionMode>1</FlashlightDetectionMode>
    <FlashlightOffTimeThresholdMs>600</FlashlightOffTimeThresholdMs>
    <BackLuxDeviationThresh>1500</BackLuxDeviationThresh>
    <IsFilterOn>false</IsFilterOn>
</AlgorithmParameters>